/* -*- Mode: C; c-file-style: "gnu" -*-
   nativeglue.h -- prototypes for handling native glu
   Created: Petter Reinholdtsen <pere@td.org.uit.no>, 1998-06-21
 */

/*
  This file is part of Japhar, the GNU Virtual Machine for Java Bytecodes.
  Japhar is a project of The Hungry Programmers, GNU, and OryxSoft.

  Copyright (C) 1997, 1998 The Hungry Programmers

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.

  You should have received a copy of the GNU Library General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
#ifndef _nativeglue_h
#define _nativeglue_h

extern void register_native_func(JNIEnv *env, MethodStruct *method, void *fnPtr);
extern void unregister_native_func(JNIEnv *env, MethodStruct *method);

#endif /* _nativeglue_h */
